### Class

# GUsb DeviceEvent

unstable since: 1.0

#### Description

    final class GUsb.DeviceEvent : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### g_usb_device_event_get_bytes

Gets any bytes data from the event.

since: 0.4.0

###### g_usb_device_event_get_id

Gets the event ID.

since: 0.4.0

###### g_usb_device_event_get_rc

Gets any return code from the event.

since: 0.4.5

###### g_usb_device_event_get_status

Gets any status data from the event.

since: 0.4.0

###### g_usb_device_event_set_bytes

Set the bytes data to the event.

since: 0.4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct GUsbDeviceEventClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.